<?php
require_once("inc_sicurezza_login.php");
require_once("functions.php");
$array_log = array();
$sql_log ="SELECT L.*, R.username as username FROM log_operazioni L INNER JOIN rivenditori R ON L.id_utente = R.id_rivenditore ORDER BY L.id_log DESC";
list($status_log,$contenuto_log,$nrows_log) = read_db_pdo($sql_log,$array_log);
$vettore_log_json=array();
if($nrows_log > 0){ 
	foreach($contenuto_log as $contenuto_log_v) {
	  	$id_log=mb_convert_encoding($contenuto_log_v["id_log"],'UTF-8');
		$username=mb_convert_encoding($contenuto_log_v["username"],'UTF-8');
		$data_op=mb_convert_encoding($contenuto_log_v["data_operazione"],'UTF-8');
		$descrizione=mb_convert_encoding($contenuto_log_v["descrizione"],'UTF-8');
		$ip_address=mb_convert_encoding($contenuto_log_v["ip_address"],'UTF-8');
		$ip_address = "<a href='https://check-host.net/ip-info?host=".$ip_address."' target='_blank'><font color=\"black\"> $ip_address</font></a>";

		$data_opDATA = explode(" ", $data_op);
		$data_op_ita = implode( '/', array_reverse( explode( '-', $data_opDATA[0] ) ) );
		$data_op = "<span style='display:none;'>$data_op</span>$data_op_ita $data_opDATA[1]";
		$vettore_log_json["data"][] = array(
												$id_log,
												$username,
												$ip_address,
												$data_op,
												$descrizione,
										);
	}
}
echo json_encode($vettore_log_json);
 

?>